@import url("https://fonts.googleapis.com/css2?family=Pangolin&display=swap");

.pangolin-regular {
  font-family: "Pangolin", cursive;
  font-weight: 400;
  font-style: normal;
}

:root {
  --dark-blue: #273447;
  --dark-mid-blue: #395580;
  --mid-blue: #6d84a6;
  --light-blue: #cbdbf1;
  --white: #ffffe9ee;
  --light-yellow: #fffbbc;
  --light-light-yellow: #fffef2;
}

p {
  font-size: 1.33rem;
}

html {
  scroll-behavior: smooth;
}

html,
body {
  max-width: 100%;
  overflow-x: hidden;
  margin: 0;
  padding: 0;
}

body {
  background-color: var(--dark-blue);
}

.wrapper,
.content {
  display: grid;
  place-items: center;
  max-width: 100%;
  overflow-x: hidden;
}

/* --------- Hero -------- */
.hero-box {
  position: relative;
  background-color: var(--dark-blue);
  display: grid;
  place-items: center;
  height: 100vh;
  width: 100vw;
}

.hero-bg {
  position: absolute;
  top: 0%;
  height: 100%;
  width: 100%;
  background-position: center;
  background-size: cover;
  background-image: url("../images/hero-bg.png");
}

.hero-image {
  top: 15%;
  position: absolute;
  z-index: 6;
  width: 30%;
  height: auto;

  animation: sway 4s ease-in-out infinite;
}

@keyframes sway {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}

/*clouds*/
.hero-cloud-img {
  position: absolute;
  width: auto;
  z-index: 2;
  filter: drop-shadow(10px 30px 20px rgba(2, 23, 49, 0.4));
  mix-blend-mode: lighten;
}

.cat-cloud-1 {
  top: 25%;
  left: -15%;
  height: 55%;
  opacity: 80%;

  animation: cloud-drift-1 200s linear infinite alternate;
}
.cat-cloud-2 {
  top: 20%;
  left: 80%;
  height: 40%;
  opacity: 80%;

  animation: cloud-drift-2 220s linear infinite alternate;
}
.cat-cloud-3 {
  top: -5%;
  left: 0%;
  height: 40%;
  opacity: 100%;
  mix-blend-mode: none;
  animation: cloud-drift-3 180s linear infinite alternate;
}
.hero-cloud-shape {
  position: absolute;
  z-index: 1;
  border-radius: 50%;
  background-color: var(--white);
  filter: blur(5px);
}
.cloud-1 {
  opacity: 20%;
}

.cloud-1-1 {
  top: -5%;
  left: -25%;
  width: 65%;
  height: 10%;
  opacity: 100%;
  animation: cloud-drift-4 125s ease-in-out infinite alternate;
}
.cloud-1-2 {
  top: 0%;
  left: -15%;
  width: 35%;
  height: 10%;
  opacity: 100%;
  animation: cloud-drift-4 125s ease-in-out infinite alternate;
}

.cloud-1-3 {
  top: 7%;
  left: 5%;
  width: 30%;
  height: 7%;
  opacity: 100%;
  animation: cloud-drift-4 125s ease-in-out infinite alternate;
}

.cloud-2 {
  opacity: 20%;
}

.cloud-2-1 {
  top: 15%;
  left: 75%;
  width: 45%;
  height: 7%;
  animation: cloud-drift-5 135s ease-in-out infinite alternate;
}
.cloud-2-2 {
  top: 10%;
  left: 65%;
  width: 40%;
  height: 7%;
  animation: cloud-drift-5 135s ease-in-out infinite alternate;
}

.cloud-3 {
  opacity: 30%;
}

.cloud-3-1 {
  top: 30%;
  left: 50%;
  width: 35%;
  height: 5%;
  animation: cloud-drift-6 75s ease-in-out infinite alternate;
}

.cloud-3-2 {
  top: 27%;
  left: 40%;
  width: 10%;
  height: 5%;
  animation: cloud-drift-6 75s ease-in-out infinite alternate;
}
.cloud-3-3 {
  top: 33%;
  left: 60%;
  width: 25%;
  height: 7%;
  animation: cloud-drift-6 75s ease-in-out infinite alternate;
}

.cloud-4 {
  top: 50%;
  left: -30%;
  width: 75%;
  height: 15%;
  opacity: 30%;

  animation: cloud-drift-7 200s ease-in-out infinite alternate;
}

@keyframes cloud-drift-1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(-1deg);
  }
  50% {
    transform: translate3d(25vw, -1vh, 0) rotate(1deg);
  }
  100% {
    transform: translate3d(0, 1vh, 0) rotate(-1deg);
  }
}

@keyframes cloud-drift-2 {
  0% {
    transform: translate3d(0, 0, 0) rotate(1deg);
  }
  50% {
    transform: translate3d(-25vw, -1vh, 0) rotate(-1deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(1deg);
  }
}

@keyframes cloud-drift-3 {
  0% {
    transform: translate3d(0, 0, 0) rotate(-1deg);
  }
  50% {
    transform: translate3d(25vw, 1vh, 0) rotate(1deg);
  }
  100% {
    transform: translate3d(0vw, -1vh, 0) rotate(-1deg);
  }
}

@keyframes cloud-drift-4 {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(50vw, 2vh, 0);
  }
}

@keyframes cloud-drift-5 {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(-50vw, -1vh, 0);
  }
}

@keyframes cloud-drift-6 {
  0% {
    transform: translate3d(0, 0, 0) scale(1);
  }
  50% {
    transform: translate3d(50vw, -1vh, 0) scale(1.02);
  }
  100% {
    transform: translate3d(100vw, 1vh, 0) scale(1);
  }
}

@keyframes cloud-drift-7 {
  0% {
    transform: translate3d(0, 0, 0);
  }
  100% {
    transform: translate3d(50vw, -2vh, 0);
  }
}

.hero-background-box {
  position: absolute;
  top: 70%;
  height: 30%;
  width: 100%;
  overflow: hidden;
}

.hero-hill-shape {
  z-index: 4;
  position: absolute;
  filter: blur(2px);
}

.hill-1 {
  top: 0;
  left: -25%;
  height: 60vh;
  width: 100%;
  background-image: linear-gradient(
    to bottom right,
    var(--light-blue) 0%,
    var(--mid-blue) 100%
  );
  border-radius: 50%;
}

.hill-2 {
  top: 25%;
  left: 40%;
  height: 60vh;
  width: 100%;
  background-image: linear-gradient(
    to bottom left,
    var(--mid-blue) 0%,
    var(--dark-mid-blue) 100%
  );
  border-radius: 50%;
}

.hill-3 {
  top: 50%;
  left: -50%;
  height: 100vh;
  width: 160%;
  background-color: var(--dark-mid-blue);
  border-radius: 50%;
}

/* --------- star ----------- */

.stars {
  position: absolute;
  inset: 0;
  z-index: 0;
  pointer-events: none;
  overflow: hidden;
}

.star {
  position: absolute;
  width: 3px;
  height: 3px;
  border-radius: 50%;
  opacity: 0.5;
  box-shadow: 0 0 6px rgba(255, 255, 255, 0.7);

  animation: star-sparkle 4s ease-in-out infinite;
}
.star-1 {
  top: 8%;
  left: 5%;
  animation-delay: 0.2s;
  background-color: var(--white);
}
.star-2 {
  top: 14%;
  left: 15%;
  animation-delay: 2.1s;
  background-color: var(--light-yellow);
}
.star-3 {
  top: 5%;
  left: 25%;
  animation-delay: 1.3s;
  background-color: var(--white);
}
.star-4 {
  top: 19%;
  left: 32%;
  animation-delay: 3.4s;
  background-color: var(--light-yellow);
}
.star-5 {
  top: 10%;
  left: 42%;
  animation-delay: 0.8s;
  background-color: var(--white);
}
.star-6 {
  top: 7%;
  left: 53%;
  animation-delay: 2.7s;
  background-color: var(--light-light-yellow);
}
.star-7 {
  top: 17%;
  left: 63%;
  animation-delay: 1.6s;
  background-color: var(--white);
}
.star-8 {
  top: 9%;
  left: 74%;
  animation-delay: 3.1s;
  background-color: var(--light-yellow);
}
.star-9 {
  top: 21%;
  left: 85%;
  animation-delay: 0.5s;
  background-color: var(--white);
}
.star-10 {
  top: 12%;
  left: 94%;
  animation-delay: 2.4s;
  background-color: var(--light-light-yellow);
}

.star-11 {
  top: 27%;
  left: 7%;
  animation-delay: 3.7s;
  background-color: var(--white);
}
.star-12 {
  top: 34%;
  left: 18%;
  animation-delay: 1.1s;
  background-color: var(--light-yellow);
}
.star-13 {
  top: 29%;
  left: 29%;
  animation-delay: 2.8s;
  background-color: var(--white);
}
.star-14 {
  top: 38%;
  left: 41%;
  animation-delay: 0.4s;
  background-color: var(--light-light-yellow);
}
.star-15 {
  top: 25%;
  left: 50%;
  animation-delay: 3.3s;
  background-color: var(--white);
}
.star-16 {
  top: 36%;
  left: 61%;
  animation-delay: 1.9s;
  background-color: var(--light-yellow);
}
.star-17 {
  top: 30%;
  left: 71%;
  animation-delay: 0.7s;
  background-color: var(--white);
}
.star-18 {
  top: 41%;
  left: 82%;
  animation-delay: 2.5s;
  background-color: var(--light-light-yellow);
}

.star-19 {
  top: 26%;
  left: 91%;
  animation-delay: 3.8s;
  background-color: var(--white);
}

.star-20 {
  top: 46%;
  left: 5%;
  animation-delay: 1.5s;
  background-color: var(--light-yellow);
}
.star-21 {
  top: 53%;
  left: 23%;
  animation-delay: 3s;
  background-color: var(--white);
}
.star-22 {
  top: 48%;
  left: 37%;
  animation-delay: 0.9s;
  background-color: var(--light-light-yellow);
}

.star-23 {
  top: 57%;
  left: 52%;
  animation-delay: 2.2s;
  background-color: var(--white);
}
.star-24 {
  top: 50%;
  left: 67%;
  animation-delay: 3.6s;
  background-color: var(--white);
}
.star-25 {
  top: 61%;
  left: 79%;
  animation-delay: 1.2s;
  background-color: var(--light-yellow);
}
.star-26 {
  top: 55%;
  left: 93%;
  animation-delay: 2.9s;
  background-color: var(--white);
}

.star-27 {
  top: 68%;
  left: 13%;
  animation-delay: 0.6s;
  background-color: var(--light-yellow);
}
.star-28 {
  top: 72%;
  left: 34%;
  animation-delay: 3.2s;
  background-color: var(--white);
}
.star-29 {
  top: 65%;
  left: 58%;
  animation-delay: 1.7s;
  background-color: var(--light-light-yellow);
}
.star-30 {
  top: 74%;
  left: 88%;
  animation-delay: 2.6s;
  background-color: var(--white);
}

.star-3,
.star-9,
.star-15,
.star-21,
.star-27 {
  width: 2px;
  height: 2px;
}

.star-6,
.star-12,
.star-18,
.star-24,
.star-30 {
  width: 4px;
  height: 4px;
}

@keyframes star-sparkle {
  0% {
    opacity: 0.15;
    transform: scale(0.7);
  }

  50% {
    opacity: 0.8;
    transform: scale(1.2);
  }

  100% {
    opacity: 0.15;
    transform: scale(0.7);
  }
}

/* ---------- NAV BAR --------*/
.nav-box {
  width: 100vw;
  padding: 5%;
  position: relative;
  background-color: var(--dark-mid-blue);
  z-index: 8;
}

.nav-wrapper{
  display: grid;
  place-items: center;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

.nav-button {
  background: transparent;
  border: none;
  padding: 0;
  cursor: pointer;
  outline: none;
  display: inline-grid;
  place-items: center;
  height: 100%;
  width: 75%;
  filter: drop-shadow(5px 5px 5px rgba(0, 0, 0, 0.5));
  transition: 0.3s ease;
}

.nav-button:hover {
  filter: drop-shadow(10px 10px 10px rgba(0, 0, 0, 0.5));
}

.cloud-shape,
.button-text {
  grid-column: 1;
  grid-row: 1;
}

.cloud-shape {
  fill: var(--white);
  width: 100%;
  height: 100%;
  transition: 0.3s ease;
}
.cloud-shape:hover {
  fill: var(--light-blue);
}

.button-text {
  color: var(--dark-blue);
}

.home {
  animation: sway-2 4s ease-in-out infinite;
}
.about {
  animation: sway-3 4s ease-in-out infinite;
}
.work {
  animation: sway-2 4s ease-in-out infinite;
}
.art {
  animation: sway-3 4s ease-in-out infinite;
}
.tech {
  animation: sway-2 4s ease-in-out infinite;
}

@keyframes sway-2 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}

@keyframes sway-3 {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}

/* ----------- ABOUT ME ------------*/

.about-me-box {
  position: relative;
  background-color: var(--dark-mid-blue);
  width: 100vw;
  box-sizing: border-box;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 5%;
  padding: 5%;
  z-index: 5;
}
.about-profile-intro {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 4fr;
  grid-template-rows: 1fr;
}

.about-title-text {
  position: absolute;
  left: 0;
  top: 20%;
  writing-mode: vertical-lr;
  transform: rotate(180deg);
  margin: 0;
  font-size: 4rem;
  color: var(--white);
}

.about-profile-pfp {
  position: relative;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;

  transition: transform 0.5s ease;
}

.about-profile-image {
  position: relative;
  height: 85%;
  width: auto;
  max-width: 100%;
  object-fit: contain;
  filter: drop-shadow(4px 4px 4px rgba(0, 0, 0, 0.5));
  transition: transform 0.5s ease;
}

.about-profile-image:hover {
  transform: translateY(-5px) scale(1.05);
}

.about-profile-epiphet {
  color: var(--white);
  margin: 0;
  padding: 5%;
  text-align: center;
}

.about-profile-bio {
  position: relative;
  min-height: 65vh;
  width: 100%;
  box-sizing: border-box;
  background-color: var(--white);
  padding: 10%;
  border-radius: 20px;
  box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.5);
}

.about-bio-water {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
  position: relative;
}

.about-water-image {
  position: absolute;

  top: -20%;
  left: 35%;
  width: 100%;
  height: auto;

  transform: rotate(20deg);

  filter: drop-shadow(4px 4px 4px rgba(0, 0, 0, 0.5));

  transition: transform 0.5s ease;
}

.about-water-image:hover {
  transform: rotate(-10deg) scale(1.2);
}

.bio-text{
  font-size: 1.5rem;
}

/* Work Experience*/
.work-experience-box {
  position: relative;
  display: grid;
  place-items: center;
  padding: 10%;
}

.work-experience {
  height: 100%;
  width: 100%;
  gap: 10px;
  padding: 4% 7% 7% 7%;
  background-color: var(--white);
  border-radius: 30px;
  border: 2px solid var(--dark-blue);
  box-shadow:
    inset 5px 5px 5px rgba(24, 24, 25, 0.7),
    inset -5px -5px 5px rgba(24, 24, 25, 0.7);
  display: grid;
  place-items: center;
}

.work-box {
  background-color: rgb(255, 255, 251);
  border-radius: 20px;
  padding: 3%;
  box-shadow:
    5px 5px 5px rgba(33, 33, 36, 0.7),
    -5px 0 5px rgba(105, 105, 114, 0.7);
  transition: ease 0.5s;
}

.work-box:hover {
  transform: scale(1.05) translateY(5px);
  box-shadow:
    10px 10px 10px rgba(33, 33, 36, 0.7),
    -10px 0 10px rgba(105, 105, 114, 0.7);
}
.work-desc {
  list-style-type: "✧";
  font-size: 1.2rem;
}

.work-experience-title {
  font-size: 2.5rem;
}

/* ----PATH ------*/
.path-box {
  position: relative;
  padding: 10%;
  display: grid;
  place-items: center;
  background-image: url("../images/hero-bg.png");
}

.path-title {
  color: var(--light-yellow);
  font-size: 4rem;
}

.path-options {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 10%;
  padding-top: 0%;
  gap: 10%;
}
.path-artist,
.path-developer {
  display: grid;
  place-items: center;
}

.card {
  width: 100%;
  height: auto;
  position: relative;
  z-index: 1;
}

.holo-foil {
  width: 70%;
  height: auto;
  border-radius: 15px;
  box-shadow: 10px 10px 2px rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  transition: all 0.5s ease;
}

.holo-foil::before {
  content: "";
  position: absolute;
  top: -50%;
  left: -50%;
  width: 200%;
  height: 200%;
  background: linear-gradient(0deg, transparent, rgba(255, 255, 255, 0.8));

  transform: rotate(45deg) translateY(100%);
  transition: all 0.5s ease;
  z-index: 2;
  pointer-events: none;
}

.holo-foil:hover {
  transform: scale(1.05);
  box-shadow: 0 0 20px rgba(255, 255, 255, 0.5);
}

.holo-foil:hover::before {
  transform: rotate(45deg);
}

.holo-foil:active {
  transform: scale(1);
}

.gen-bg {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

@media (max-width: 600px){

  /* ------ HERO ------*/
  .hero-box{
    height: 80vh;
  }  
  .hero-bg{
    width: 400%;
    height: 100%;
  }
  .hero-background-box{
    top: 65%;
    width: 400%;
    height: 35%;
    justify-self: center;
  }

  .cat-cloud-1{
    top: 40%;
    height: auto;
    width: 70%;
    left: -15%;

    animation: cloud-drift-1 50s linear infinite alternate;
  }

  .cat-cloud-2{
    top: 20%;;
    height: auto;
    width: 70%;
    right: -10%;

    animation: cloud-drift-2 80s linear infinite alternate;
  }

  .cat-cloud-3{
    top: 0;
    width: 80%;
    height: auto;
    left: 0%;

    animation: cloud-drift-3 70s linear infinite alternate;
  }

  .cloud-1-1, .cloud-2-1, .cloud-3-1{
    width: 400vw;
  }

  .cloud-1-2, .cloud-4{
    width: 500vw;
  }

  .cloud-1-3, .cloud-3-2{
    width: 300vw;
  }

  .hero-image{
    top: 20%;
    height: 35vh;
    width: auto;
  }

  /* NAV */
  .nav-box {
    height: 20vh;
    display: none !important;
  }
  .nav-wrapper{
    grid-template-columns: 1fr 1fr 1fr; 
  }

  .about, .work{
    display: none !important;
  }

  /* About me */
  .about-me-box{
    grid-template-columns: 1fr;
    height: 140vh;
  }

  .about-water-image{
    top: 10%;
    left: 35%;
    width: 90%;
    height: auto;
  }

  .about-profile-bio{
    padding: 5%;
  }

  .work-box{
    padding:6%;
  }

  .path-title{
    font-size: 2.2rem;
  }

  .path-options{
    grid-template-columns: 1fr;
  }
}